import { defineConfig } from 'vite';
import laravel from 'laravel-vite-plugin';
import react from '@vitejs/plugin-react';
import commonjs from 'vite-plugin-commonjs';

export default defineConfig({
    plugins: [
        laravel({
            input: [
                'resources/js/admin.jsx'
            ],
            refresh: true,
        }),
        commonjs(),
        react(),
    ],
    resolve:{
        alias: {
            '@': "/resources/js",
            'jquery': 'jquery/dist/jquery.min.js',
            // 'isotope-layout': 'isotope-layout/js/isotope',
        }
      },
});
